// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import axios from './plugins/axios'
import store from './store'
import './plugins/mixin'
import _message from './plugins/remind'
// import { sync } from 'vuex-router-sync'
// import './plugins/swiper'

// 安装axios
Vue.prototype.$http = axios

// 消息提示
Vue.prototype.$message = _message

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
