import axios from '../../plugins/axios'
const state = {
  // 未读消息数量
  unReadCount: 0
}

// getters
const getters = {}

// actions
const actions = {
  // 获取未读消息
  getUnReadCount ({ commit }, params) {
    return axios.get('/web/api/message/getUnreadCount', {
      params: {
        msReceiverenuu: params.enuu
      }
    }).then(res => {
      commit('SET_UNREAD_MESSAGE_COUNT', res.data.count || 0)
    })
  }
}

// mutations
const mutations = {
  SET_UNREAD_MESSAGE_COUNT (state, data) {
    state.unReadCount = data
  }
}

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations
}
