import store from '../store'

const _message = (text = '', type = 'success', isShow) => {
  store.dispatch('options/setShowRemindBox', {
    type: type,
    text: text,
    show: isShow
  })
}

export default {
  show: (text, type) => {
    _message(text, type, true)
  },
  close: () => {
    _message('', '', false)
  }
}
