import Vue from 'vue'
import Vuex from 'vuex'
import options from './modules/options'
import auth from './modules/auth'
import message from './modules/message'

Vue.use(Vuex)

const debug = process.env.NODE_ENV !== 'production'

export default new Vuex.Store({
  modules: {
    // 一些全局状态
    options,
    // 登录状态
    auth,
    // 消息
    message
  },
  strict: debug
})
